/*		@(#)browser.h	1.2 Stellar 89/03/01	*/
/*
			Copyright 1989 by
			Stellar Computer Inc.
			All Rights Reserved
	
	This software comprises unpublished confidential information of
	Stellar Computer Inc. and may not be used, copied or made
	available to anyone, except in accordance with the license
	under which it is furnished.
*/
/*
 * LUI Browser header
 */

#ifndef _LUI_BROWSER_HEADER

#include "label.h"

#ifdef LUI_BROWSER_DECLARE
# define LUI_BROWSER_GLOBAL  /* */
# define LUI_BROWSER_INIT(v) = v
#else
# define LUI_BROWSER_GLOBAL  extern
# define LUI_BROWSER_INIT(v) /* */
#endif

#define LUI_FILE_UNKNOWN      0
#define LUI_FILE_DIRECTORY    1
#define LUI_FILE_GEOM         2
#define LUI_FILE_POBJ         3

#define LUI_BROWSER_BORDER       5
#define LUI_BROWSER_LABEL_HEIGHT 32
#define LUI_BROWSER_LINE_SPACE   8

#define LUI_BROWSER_MAX_ARGSIZE  128
#define LUI_FILENAME_SIZE        2048

typedef struct lui_dir_ent {
    char *filename;
    int type;
} LUI_DIR_ENT;

typedef struct lui_browser {
    char           directory[LUI_FILENAME_SIZE];
    char           dir_label_text[LUI_FILENAME_SIZE];
    char           suffix_list[16][16];
    int            tot_suffix;
    LUI_DIR_ENT    file_list[4096];
    int            tot_files;
    int            file_ind;
    Pixmap         pixmap;
    int            pixmap_height, pixmap_yoffset;
    Window         big_window, window;
    int            big_x, big_y, big_height, big_width;
    unsigned long  page_color;
    unsigned long  background_color;
    XEvent        *event;
    LUI_LABEL     *up_label, *down_label, *dir_label, *slidebar_label;
    Window         browser_window;
    int            x, y;
    int            width, height;
    int            browser_width, browser_height;
    int            line_space;
    int            visible;
    XFontStruct   *font;
    int            font_yoff;
    int         ((*func)());
    char          *data;
    Pixmap         title_pixmap;
    int            title_width, title_height;
} LUI_BROWSER;

extern int 
  LUI_BrowserLabelDrawArrow(),
  LUI_BrowserLabelProcess(),
  LUI_BrowserProcess(), LUI_BrowserWindowProcess(),
  LUI_FileCompare();

LUI_BROWSER_GLOBAL LUI_BROWSER
  *LUI_Browser     LUI_BROWSER_INIT ( NULL );

LUI_BROWSER 
  *Lui_BrowserOpen();

char
  *LUI_BrowserCurrentDirectory(),
  *LUI_BrowserCurrentFilename();

#ifdef LUI_BROWSER_DECLARE
static char LUI_BrowserFilename[LUI_FILENAME_SIZE];
#endif

#endif  _LUI_BROWSER_HEADER
#define _LUI_BROWSER_HEADER 1







